#ifndef _BASIS_H_
#define _BASIS_H_
#include "shell.h"
#include "center.h"
/* basis.c */
extern int number_of_orbitals (void);
extern int number_of_shells (void);
extern int number_of_centers (void);
extern int total_number_of_orbitals (void);
extern int total_number_of_shells (void);
extern int total_number_of_centers (void);
extern int number_of_electrons (void);
extern int spin_multiplicity (void);
extern int max_scf_iterations (void);
extern int skip_center (void);
extern int max_lvalue (void);
extern int max_lstates (void);
extern int do_dpm_calculation (void);
extern int do_dft_calculation (void);
extern int dft_correlation (void);
extern int dft_exchange (void);
extern int do_finite_field_calculation (void);
extern int scf_acceleration (void);
extern int scf_guess (void);
extern int print_eigenvectors (void);
extern int print_density (void);
extern int print_population (void);
extern double finite_field_electric_field (void);
extern double scf_convergence (void);
extern const Shell *shells (void);
extern const Center *centers (void);
extern int ***lvector_components (void);
extern double **normalizationFactors (void);
extern void set_center_position (int icen, const double *Rnew);
extern void set_center_charge (int icen, double qnew);
extern double nuclear_repulsion (void);
extern int row (const Center * cen);
extern void assign_dpm_shells (Shell * sh, int poscen, int off);
extern void init_Basis (void);
extern void dpm_augment (void);
extern void basis_output (double *, double *, double *);
#endif
