#include <iostream>
#include <fstream>
#include <iomanip>
#include <string>
#include <cstdio>
#include <cstring>
#include <cmath>

using namespace std;

void make_filename(const char *arg1,
const char *arg2, char *name)
{
	const char *prefix="short.gs.dat";
	const char *dot=".";
	strncpy(name,prefix,13);
	strncat(name,dot,2);
	strncat(name,arg1,strlen(arg1)+1);
	strncat(name,dot,2);
	strncat(name,arg2,strlen(arg2)+1);
}
	
int main()
{
char bas[3][5]={ "3g","431g","631g"};
char xbas[3][5]={ "  3g","431g","631g"};
char xmol[7][4]={ "h2 ","n2 ","hf ","co ","nh3","ch4","h2o"};
char mol[7][4]={ "h2","n2","hf","co","nh3","ch4","h2o"};
double szenrg[7][3]={  {-1.1167,-1.127,-1.131},
                    {-107.496,-108.754,-108.943},
                    {-98.571,-99.887,-100.011},
                    {-111.225,-112.552,-112.737},
                    {-55.454,-56.102,-56.195},
                    {-39.727,-40.140,-40.202},
                    {-74.963,-75.907,-76.023}};
double fe,se;
char fname[35];

	FILE* in;
	FILE* out=fopen("nrgs.dat","w");
	for (int i=0;i<7;++i)
	{
		make_filename(bas[0],mol[i],fname);
		in=fopen(fname,"r");
		fscanf(in,"%25le\n",&fe);
		fscanf(in,"%25le\n",&se);
		fclose(in);
		printf("%s\n",fname);
		printf("%25.15le\n",se);
		fprintf(out,"%s %s %15.6lf %15.6lf\n",
			xmol[i],xbas[0],se,szenrg[i][0]);
		make_filename(bas[1],mol[i],fname);
		in=fopen(fname,"r");
		fscanf(in,"%25le\n",&fe);
		fscanf(in,"%25le\n",&se);
		fclose(in);
		printf("%s\n",fname);
		printf("%25.15le\n",se);
		fprintf(out,"%s %s %15.6lf %15.6lf\n",
			xmol[i],xbas[1],se,szenrg[i][1]);
		make_filename(bas[2],mol[i],fname);
		in=fopen(fname,"r");
		fscanf(in,"%25le\n",&fe);
		fscanf(in,"%25le\n",&se);
		fclose(in);
		printf("%s\n",fname);
		printf("%25.15le\n",se);
		fprintf(out,"%s %s %15.6lf %15.6lf\n",
			xmol[i],xbas[2],se,szenrg[i][2]);
	}
	fclose(out);
}
	


